#pragma once

#include <inttypes.h>
#include <string>
#include <sstream>

namespace knx {

class group
{
public:
    group();
    group(std::string name);
    group(uint8_t a, uint8_t b, uint8_t c);
    group(uint8_t a, uint8_t b);
    std::string get_name();
    uint16_t get_binary();
    void set_by_number(uint16_t a, uint16_t b, uint16_t c);
    void set_by_number(uint16_t a, uint16_t b);
    void set_by_name(std::string name);
    void set_by_binary_2(uint16_t binary);
    void set_by_binary_3(uint16_t binary);
    bool operator==(knx::group other);
private:
    std::string name;
    uint16_t binary;
};

}



